## org.dom4j.dom
Class DOMAttribute

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractAttribute
              org.dom4j.tree.FlyweightAttribute
                  org.dom4j.tree.DefaultAttribute
                      org.dom4j.dom.DOMAttribute

All Implemented Interfaces:
  Attr, Attribute, Cloneable, Node, Node, Serializable

public class DOMAttribute
extends DefaultAttribute
implements Attr

`DOMAttribute` implements a doubly linked attribute which supports the W3C DOM API.

Version:
  $Revision: 1.14 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.tree.FlyweightAttribute
`value`

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`DOMAttribute(Element parent, QName qname, String value)`
`DOMAttribute(QName qname)`
`DOMAttribute(QName qname, String value)`

Method Summary
`Node` `appendChild(Node newChild)`
`Node` `cloneNode(boolean deep)`
`NamedNodeMap` `getAttributes()`
`NodeList` `getChildNodes()`
`Node` `getFirstChild()`
`Node` `getLastChild()`
`String` `getLocalName()`
`String` `getNamespaceURI()` Returns the URI mapped to the namespace of this element if one exists otherwise an empty `String` is returned.
`Node` `getNextSibling()`
`String` `getNodeName()`
`String` `getNodeValue()`
`Document` `getOwnerDocument()`
`Element` `getOwnerElement()`
`Node` `getParentNode()`
`String` `getPrefix()`
`Node` `getPreviousSibling()`
`boolean` `getSpecified()`
`boolean` `hasAttributes()`
`boolean` `hasChildNodes()`
`Node` `insertBefore(Node newChild, Node refChild)`
`boolean` `isSupported(String feature, String version)`
`void` `normalize()`
`Node` `removeChild(Node oldChild)`
`Node` `replaceChild(Node newChild, Node oldChild)`
`void` `setNodeValue(String nodeValue)`
`void` `setPrefix(String prefix)`
`boolean` `supports(String feature, String version)`

Methods inherited from class org.dom4j.tree.DefaultAttribute
`getParent, isReadOnly, setParent, setValue, supportsParent`

Methods inherited from class org.dom4j.tree.FlyweightAttribute
`getQName, getValue`

Methods inherited from class org.dom4j.tree.AbstractAttribute
`accept, asXML, createXPathResult, getData, getName, getNamespace, getNamespacePrefix, getNodeType, getPath, getQualifiedName, getText, getUniquePath, setData, setNamespace, setText, toString, write`

Methods inherited from class org.dom4j.tree.AbstractNode
`asXPathResult, clone, createPattern, createXPath, createXPathFilter, detach, getDocument, getDocumentFactory, getNodeTypeName, getPath, getStringValue, getUniquePath, hasContent, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Attr
`getName, getValue, setValue`

Methods inherited from interface org.w3c.dom.Node
`getNodeType`

Methods inherited from interface org.dom4j.Node
`asXPathResult, clone, createXPath, detach, getDocument, getNodeTypeName, getPath, getStringValue, getUniquePath, hasContent, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, valueOf`

Constructor Detail

### DOMAttribute

    public DOMAttribute(QName qname)

### DOMAttribute

    public DOMAttribute(QName qname,
                        String value)

### DOMAttribute

    public DOMAttribute(Element parent,
                        QName qname,
                        String value)

Method Detail

### supports

    public boolean supports(String feature,
                            String version)

### getNamespaceURI

    public String getNamespaceURI()

  Description copied from interface: `Attribute`

  Returns the URI mapped to the namespace of this element if one exists otherwise an empty `String` is returned.

  Specified by:
    `getNamespaceURI` in interface `Node`
  Overrides:
    `getNamespaceURI` in class `AbstractAttribute`

### getPrefix

    public String getPrefix()

  Specified by:
    `getPrefix` in interface `Node`

### setPrefix

    public void setPrefix(String prefix)
                   throws DOMException

  Specified by:
    `setPrefix` in interface `Node`
  Throws:
    `DOMException`

### getLocalName

    public String getLocalName()

  Specified by:
    `getLocalName` in interface `Node`

### getNodeName

    public String getNodeName()

  Specified by:
    `getNodeName` in interface `Node`

### getNodeValue

    public String getNodeValue()
                        throws DOMException

  Specified by:
    `getNodeValue` in interface `Node`
  Throws:
    `DOMException`

### setNodeValue

    public void setNodeValue(String nodeValue)
                      throws DOMException

  Specified by:
    `setNodeValue` in interface `Node`
  Throws:
    `DOMException`

### getParentNode

    public Node getParentNode()

  Specified by:
    `getParentNode` in interface `Node`

### getChildNodes

    public NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `Node`

### getFirstChild

    public Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `Node`

### getLastChild

    public Node getLastChild()

  Specified by:
    `getLastChild` in interface `Node`

### getPreviousSibling

    public Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `Node`

### getNextSibling

    public Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `Node`

### getAttributes

    public NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `Node`

### getOwnerDocument

    public Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `Node`

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Specified by:
    `insertBefore` in interface `Node`
  Throws:
    `DOMException`

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Specified by:
    `replaceChild` in interface `Node`
  Throws:
    `DOMException`

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Specified by:
    `removeChild` in interface `Node`
  Throws:
    `DOMException`

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  Specified by:
    `appendChild` in interface `Node`
  Throws:
    `DOMException`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `Node`

### cloneNode

    public Node cloneNode(boolean deep)

  Specified by:
    `cloneNode` in interface `Node`

### normalize

    public void normalize()

  Specified by:
    `normalize` in interface `Node`

### isSupported

    public boolean isSupported(String feature,
                               String version)

  Specified by:
    `isSupported` in interface `Node`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `Node`

### getSpecified

    public boolean getSpecified()

  Specified by:
    `getSpecified` in interface `Attr`

### getOwnerElement

    public Element getOwnerElement()

  Specified by:
    `getOwnerElement` in interface `Attr`

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.